// A2VDlg.h
//
#if !defined(AFX_A2VDLG_H__D108D268_D937_11D1_9A35_00C04FCC6A36__INCLUDED_)
#define AFX_A2VDLG_H__D108D268_D937_11D1_9A35_00C04FCC6A36__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "Aiff2.h"
#include "A2V.h"

/////////////////////////////////////////////////////////////////////////////
// CA2VDlg dialog

class CA2VDlg : public CDialog
{
public:
	CA2VDlg(CWnd* pParent = NULL);	// constructor

// Dialog Data
	//{{AFX_DATA(CA2VDlg)
	enum { IDD = IDD_A2V_DIALOG };
	CButton	m_button_cnv;
	CString	m_editSrc;
	CString	m_editDst;
	//}}AFX_DATA

	//{{AFX_VIRTUAL(CA2VDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL
	DECLARE_MESSAGE_MAP()


protected:
	HICON m_hIcon;

	// generated message map function
	//{{AFX_MSG(CA2VDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonSrc();
	afx_msg void OnButtonDst();
	afx_msg void OnButtonCnv();
	//}}AFX_MSG

public:
	FILE *fsrc;
	FILE *fvag;
	FILE *ferr;
	short format;

	CFile		vagFile;
	CFile		arFp;
	CFileException vagFileError;
	CString		errStr;
	CString		srcPath;
	CString		dstPath;
	CArchive*	pAr;
	CString		noExName;

	void Encode( CFile& ar, unsigned long frame, short loopflg, unsigned long loopstart, unsigned long loopend );
	void Convert( short loopon );
	void readChunkHead( CFile& arFp, ChunkHeader *aChunk );
	void readChunkAIFFHead( CFile& arFp, ChunkAIFFHeader *aChunk );


};

//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_A2VDLG_H__D108D268_D937_11D1_9A35_00C04FCC6A36__INCLUDED_)
